/**
 * JS for Options Toggle
 */
(function( $ ) {

  'use strict';

  function widgetOptionsToggle( widget ) {
    var $content = $( '.options-content' ).hide();
    widget.find( '.options-toggle' ).on( 'click', function(e) {
      $(this).toggleClass( 'expanded' );
      $(this).siblings( 'div' ).toggle();
    });
	}

  function onFormUpdate( event, widget ) {
    widgetOptionsToggle( widget );
  }

  $( document ).on( 'widget-added widget-updated', onFormUpdate );

  $( document ).ready( function() {
    $( '#widgets-right .widget:has(.organic-widgets-options-container)' ).each( function () {
      widgetOptionsToggle( $( this ) );
    } );
  } );

})( jQuery );
